jQuery(function($){
    $('.open-popup-link').magnificPopup({
        type: 'inline',
        midClick: true, // Allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source in href.
        closeBtnInside: true
    });

    //add row & column highlighting on Size Display Table

    var $tables = $('.bwdpsgx-table-hovers');

    $tables.each(function () {
        var $cells = $(this).find("td, th");

        $cells
            .on("mouseover", function () {
                var $this = jQuery(this),
                    $pos = $this.index();
                $this.parent().parent().addClass('bwdpsgx-table-hovered');
                $this.parent().find("th, td").addClass("bwdpsgx-table-hover");
                $cells.filter(":nth-child(" + ($pos + 1) + ")").addClass("bwdpsgx-table-hover");
                $this.addClass("bwdpsgx-table-cursor");
            })
            .on("mouseout", function () {
                var $this = jQuery(this);
                $cells.removeClass("bwdpsgx-table-hover");
                $this.parent().parent().removeClass('bwdpsgx-table-hovered');
                jQuery(this).removeClass("bwdpsgx-table-cursor");
            });
    });
    $('.sizeGuideTabs .tab').on('click', function(){
        $('.sizeGuideTabs .tab').removeClass('active');
        $('.sizeGuideTabContents .content').removeClass('active');
        $(this).addClass('active');
        $('.sizeGuideTabContents .content[tab-key=' + $(this).attr('tab-key') + ']').addClass('active')
    })
});



